/*
 * serial.h
 *
 * Copyright 2002, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 *
 * Serial interface driver header file
 */


#ifndef serial_h
#define serial_h


#include"types.h"


#ifndef ASM_FILE


enum{
	/* Baud rate divisor */
	B9600=0xc,
	B19200=0x6,
	B38400=0x3,
	B115200=0x1,
};


extern void init_com();
extern void set_com_intr();
extern int write_com1(const char*,size_t);
extern int write_com2(const char*,size_t);


#endif


#endif
